from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XLinguServiceManager(XInterface, Protocol):
    def getSpellChecker(self) -> XSpellChecker: ...
    def getHyphenator(self) -> XHyphenator: ...
    def getThesaurus(self) -> XThesaurus: ...
    def addLinguServiceManagerListener(self, xListener: XEventListener) -> bool: ...
    def removeLinguServiceManagerListener(self, xListener: XEventListener) -> bool: ...
    def getAvailableServices(self, aServiceName: str, aLocale: Locale) -> list[str]: ...
    def setConfiguredServices(self, aServiceName: str, aLocale: Locale, aServiceImplNames: sequence< string >) -> None: ...
    def getConfiguredServices(self, aServiceName: str, aLocale: Locale) -> list[str]: ...
